Bug 208235 - 'mount --bind' fails at boot time
Summary: 'mount --bind' fails at boot time
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
(Show other bugs)
Version: 5
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: Karel Zak
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-27 08:58 UTC by Olle Liljenzin
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-05 14:04:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Olle Liljenzin 2006-09-27 08:58:01 UTC
Description of problem:
Some mounts of type 'bind' in fstab fail when booting the machine.

Version-Release number of selected component (if applicable):
kernel-2.6.17-1.2187_FC5
util-linux-2.13-0.20.4

How reproducible:
Always

Steps to Reproduce:
1. mkdir /apa /root/apa
2. echo '/apa /root/apa none bind 0 0' >> /etc/fstab
3. reboot
  
Actual results:
The mount fails

Expected results:
Should mount silently

Additional info:

Comment 1 Olle Liljenzin 2006-09-27 14:45:49 UTC
Sep 27 10:34:25 ludenben kernel: audit(1159346051.426:433): avc:  denied  {
mounton } for  pid=1695 comm="mount" name="apa" dev=dm-0 ino=2082254
scontext=system_u:system_r:mount_t:s0 tcontext=user_u:object_r:user_home_t:s0
tclass=dir
Sep 27 10:34:25 ludenben kernel: audit(1159346051.426:434): avc:  denied  {
mounton } for  pid=1695 comm="mount" name="apa" dev=dm-0 ino=2082254
scontext=system_u:system_r:mount_t:s0 tcontext=user_u:object_r:user_home_t:s0
tclass=dir


Comment 2 Daniel Walsh 2006-10-05 14:04:57 UTC
chcon -t mnt_t /root/apa

will fix the problem.

 semanage fcontext -a -t mnt_t /root/apa
Will change the system to make this labeling survive a relabeling.



Note You need to log in before you can comment on or make changes to this bug.